/*
 * keyin.h -- PC/AT keyin routine
 *
 *	Copyright (C) 1997 by Sony Computer Entertainment
 *			All rights Reserved
 */

#define KEY_UP		(0xE1)
#define KEY_DOWN	(0xE2)
#define KEY_LEFT	(0xE3)
#define KEY_RIGHT	(0xE4)
#define KEY_INSERT	(0xE5)
#define KEY_DELETE	(0xE6)
#define KEY_HOME	(0xE7)
#define KEY_END		(0xE8)
#define KEY_PUP		(0xE9)
#define KEY_PDOWN	(0xEA)

#define KEY_F1		(0xf1)
#define KEY_F2		(0xf2)
#define KEY_F3		(0xf3)
#define KEY_F4		(0xf4)
#define KEY_F5		(0xf5)
#define KEY_F6		(0xf6)
#define KEY_F7		(0xf7)
#define KEY_F8		(0xf8)
#define KEY_F9		(0xf9)
#define KEY_F10		(0xfA)
#define KEY_F11		(0xfB)
#define KEY_F12		(0xfC)

#define isFUNC(d)	((0xe0&(d)) == 0xe0)

int keyhit();
int getkey();
