/*
 * strtrap.c -- display string trap routine
 *
 *	Copyright (C) 1997 by Sony Computer Entertainment
 *			All rights Reserved
 */
#include "kmp_sub.h"

#ifdef __STDC__
#	define __(X)	X
#else
#	define __(X)	()
#endif

typedef struct string_trap_element {
    struct string_trap_element	*next;
    Search_key			*key;
    int			(* action)();
    void		*actarg;
} String_trap_element;

String_trap_element *add_new_trap __((char *trapstring, int (* action)(), void *actarg));
void  delete_trap __((String_trap_element *element));
void  rewind_trap __((void));
int   trap_check __((char *string, int strlen ));
