/*
 * getioaddr.h -- get ioaddress,irq,dma chanel
 *
 *	Copyright (C) 1997 by Sony Computer Entertainment
 *			All rights Reserved
 */

extern unsigned	psxbase;
extern unsigned	irq;
extern unsigned	long dmach;

extern unsigned	irqvect;
extern unsigned char irqmask;
extern unsigned irqcport;
extern unsigned irqmport;

extern unsigned	dmapagereg;

void getioaddr(int argc, char *argv[]);

#define EOIto8259()	_outp( irqcport, EOICWD ); \
	if( irqcport == C8259S ) { _outp( C8259M, EOICWD ); }
#define EnableIRQ8259()		_outp( irqmport, _inp(irqmport)&~irqmask )
#define DisableIRQ8259()	_outp( irqmport, _inp(irqmport)|irqmask )
