/*
 * irqvect.h -- MS-DOS interrupt vector subroutines
 *
 *	Copyright (C) 1997 by Sony Computer Entertainment
 *			All rights Reserved
 */

typedef void (__cdecl __interrupt __far *intvector)();

struct intvects {
    struct intvects  *next;
    unsigned short	vectnum;
    intvector	savevect;
};

void set_ivector(unsigned short num, intvector vector);
void restore_ivectors(void);
